"use strict";
// Copyright IBM Corp. 2019. All Rights Reserved.
// Node module: @loopback/example-lb3-application
// This file is licensed under the MIT License.
// License text available at https://opensource.org/licenses/MIT
Object.defineProperty(exports, "__esModule", { value: true });
exports.CoffeeShopApplication = void 0;
const tslib_1 = require("tslib");
const boot_1 = require("@loopback/boot");
const booter_lb3app_1 = require("@loopback/booter-lb3app");
const repository_1 = require("@loopback/repository");
const rest_1 = require("@loopback/rest");
const rest_explorer_1 = require("@loopback/rest-explorer");
const path_1 = tslib_1.__importDefault(require("path"));
const sequence_1 = require("./sequence");
class CoffeeShopApplication extends boot_1.BootMixin(repository_1.RepositoryMixin(rest_1.RestApplication)) {
    constructor(options = {}) {
        super(options);
        // Set up the custom sequence
        this.sequence(sequence_1.MySequence);
        // Set up default home page
        this.static('/', path_1.default.join(__dirname, '../public'));
        this.component(rest_explorer_1.RestExplorerComponent);
        this.component(booter_lb3app_1.Lb3AppBooterComponent);
        this.projectRoot = __dirname;
        // Customize @loopback/boot Booter Conventions here
        this.bootOptions = {
            controllers: {
                // Customize ControllerBooter Conventions here
                dirs: ['controllers'],
                extensions: ['.controller.js'],
                nested: true,
            },
            lb3app: {
                mode: 'fullApp',
            },
        };
    }
}
exports.CoffeeShopApplication = CoffeeShopApplication;
//# sourceMappingURL=application.js.map